Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.engine
Class FlowAttributeMappingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.webflow.core.FlowException
                      org.springframework.webflow.execution.FlowExecutionException
                          org.springframework.webflow.engine.FlowAttributeMappingException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  FlowInputMappingException, FlowOutputMappingException

    public class FlowAttributeMappingException

extends FlowExecutionException

Base class for attribute mapping failures.

Author:
  Keith Donald
See Also:
  Serialized Form

Constructor Summary
`FlowAttributeMappingException(java.lang.String flowId, java.lang.String stateId, MappingResults results, java.lang.String message)` Creates a new attrbute mapping exception

Method Summary
`MappingResults` | `getMappingResults()` Returns the maping results containing errors that triggred this exception.

Methods inherited from class org.springframework.webflow.execution.FlowExecutionException
`getFlowId, getStateId`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FlowAttributeMappingException

    public FlowAttributeMappingException(java.lang.String flowId,
                                         java.lang.String stateId,
                                         MappingResults results,
                                         java.lang.String message)

  Creates a new attrbute mapping exception

  Parameters:
    `flowId` - the flow id
    `stateId` - the state id
    `results` - the mapping results with errors
    `message` - the messge

Method Detail

### getMappingResults

    public MappingResults getMappingResults()

  Returns the maping results containing errors that triggred this exception.

  Returns:
    the results

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD